unit AboutMe;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    cmdSysInfo: TButton;
    procedure OKButtonClick(Sender: TObject);
    procedure cmdSysInfoClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

uses SysAppInfo;

{$R *.DFM}

procedure TAboutBox.OKButtonClick(Sender: TObject);
begin
  Close;
end;

procedure TAboutBox.cmdSysInfoClick(Sender: TObject);
var
  f:TfrmInformation;
begin
  f := TfrmInformation.Create(Self);

  try
    f.ShowModal ;
  finally
    f.Release ;
  end;
  
end;

end.
 
